import {main} from '@/api'
import request from '@/utils/require'

// 列表页
export function selectRotatePlanExecutePageList(data) {
    return request({
      url: `${main}/rotateplanexecute/selectRotatePlanExecutePageList?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data
    })
}

//
//详情
export function selectRotatePlanExecuteDetail(data) {
    return request({
      url: `${main}/rotateplanexecute/selectRotatePlanExecuteDetail`,
      method: 'post',
      data: data
    })
}

//分品种列表
export function selectBreedSummary(data) {
    return request({
      url: `${main}/rotateplanexecute/selectBreedSummary?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data
    })
}

//分品种详情
export function selectBreedSummaryDetail(data) {
    return request({
      url: `${main}/rotateplanexecute/selectBreedSummaryDetail`,
      method: 'post',
      data: data
    })
}

//分地区列表
export function selectAreaSummary(data) {
    return request({
      url: `${main}/rotateplanexecute/selectAreaSummary?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
      method: 'post',
      data: data
    })
}

//

export function selectAreaSummaryDetail(data) {
    return request({
      url: `${main}/rotateplanexecute/selectAreaSummaryDetail`,
      method: 'post',
      data: data
    })
}

export function selectShows(data){
    return request({
      url: `${main}/client/OverheadQuery/select`,
      method: 'post',
      data: data
    })
}